package com.inspect.infrared;

import com.inspect.base.core.utils.BigDecimalUtil;
import lombok.Setter;

@Setter
public class InfraredT {
    private double maxT;
    private double minT;
    private double averageT;
    private double weatherT;

    public InfraredT() {
    }

    public InfraredT(double maxT, double minT, double averageT) {
        this.maxT = maxT;
        this.minT = minT;
        this.averageT = averageT;
    }

    public double getWeatherT() {
        return BigDecimalUtil.round(this.weatherT);
    }

    public double getMaxT() {
        return BigDecimalUtil.round(this.maxT);
    }

    public double getMinT() {
        return BigDecimalUtil.round(this.minT);
    }

    public double getAverageT() {
        return BigDecimalUtil.round(this.averageT);
    }

}
